%define name frozen-bubble
%define version 1.0.0
%define release 1mdk
%define summary Frozen Bubble arcade game

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://guillaume.cottenceau.free.fr/fb/%{name}-%{version}.tar.bz2
License: GPL
Group: Games/Arcade
URL: http://www.frozen-bubble.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libSDL_mixer-devel >= 1.2.2 libsmpeg-devel perl-devel perl-SDL
Requires: perl-SDL >= 1.18

%description
Full-featured, colorful animated penguin eyecandy, 100 levels of 1p game
plus a level editor, hours and hours of 2p game, 3 professional quality
20-channels musics, 15 stereo sound effects, 7 unique graphical transition
effects.

%prep
%setup -q
rm -f c_stuff/lib/build_fbsyms

%build
make OPTIMIZE="$RPM_OPT_FLAGS -Wall" PREFIX=%{_prefix} INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} 

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="/usr/bin/frozen-bubble" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Frozen-Bubble" \
  longtitle="%{summary}"
EOF

install -d $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 icons/frozen-bubble-icon-16x16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-32x32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS CHANGES
/usr/bin/*
/usr/share/%{name}
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/*.pm
%{_mandir}/*/*
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sun Feb 16 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- new version

* Mon Aug  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-6mdk
- rebuild for threaded perl

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Fix BuildRequires
- Remove NO_XALF from menu entries

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.3-4mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-3mdk
- recompile against new vorbis stuff

* Tue Jul  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-2mdk
- rebuild for new perl

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-1mdk
- new version

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-2mdk
- set AutoProv to no to not be a "provider" for libSDL_mixer-1.2.so.0
- install icons with correct perms (thx Meles MELES <meles@free.fr>)

* Thu Feb  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- new version

* Wed Feb  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- first mdk rpm
